---
# see 'helm show values kyverno/kyverno'

# we don't use upstream container images directly from their registry
# instead, we copy/cache them in Toolforge's docker registry so we don't
# depend on the availability of third party services to deploy our stuff

# about replicas, see:
#  https://kyverno.io/docs/high-availability/
#  https://kyverno.io/docs/installation/methods/#high-availability
# about scaling, see:
#  https://kyverno.io/docs/installation/scaling/
# about upstream recomendations, see:
#  https://github.com/kyverno/kyverno/issues/10458

admissionController:
  replicas: 7
  initContainer:
    image:
      registry: "docker-registry.tools.wmflabs.org"
      repository: "toolforge-kyverno-kyvernopre"
  container:
    resources:
      limits:
        cpu: 1200m
        memory: 4Gi
      requests:
        cpu: 1000m
        memory: 2Gi
    image:
      registry: "docker-registry.tools.wmflabs.org"
      repository: "toolforge-kyverno-kyverno"

backgroundController:
  replicas: 2
  resources:
    limits:
      cpu: 1
      memory: 2Gi
    requests:
      cpu: 500m
      memory: 1Gi
  image:
    registry: "docker-registry.tools.wmflabs.org"
    repository: "toolforge-kyverno-background-controller"

cleanupController:
  replicas: 2
  resources:
    limits:
      cpu: 1
      memory: 2Gi
    requests:
      cpu: 500m
      memory: 1Gi
  image:
    registry: "docker-registry.tools.wmflabs.org"
    repository: "toolforge-kyverno-cleanup-controller"

reportsController:
  replicas: 2
  resources:
    limits:
      cpu: 1200m
      memory: 2Gi
    requests:
      cpu: 1000m
      memory: 1Gi
  image:
    registry: "docker-registry.tools.wmflabs.org"
    repository: "toolforge-kyverno-reports-controller"

webhooksCleanup:
  image:
    registry: "docker-registry.tools.wmflabs.org"
    repository: "bitnami-kubectl"

policyReportsCleanup:
  image:
    registry: "docker-registry.tools.wmflabs.org"
    repository: "bitnami-kubectl"

cleanupJobs:
  admissionReports:
    image:
      registry: "docker-registry.tools.wmflabs.org"
      repository: "bitnami-kubectl"
  clusterAdmissionReports:
    image:
      registry: "docker-registry.tools.wmflabs.org"
      repository: "bitnami-kubectl"
  updateRequests:
    image:
      registry: "docker-registry.tools.wmflabs.org"
      repository: "bitnami-kubectl"
  ephemeralReports:
    image:
      registry: "docker-registry.tools.wmflabs.org"
      repository: "bitnami-kubectl"
  clusterEphemeralReports:
    image:
      registry: "docker-registry.tools.wmflabs.org"
      repository: "bitnami-kubectl"

crds:
  migration:
    image:
      registry: "docker-registry.tools.wmflabs.org"
      repository: "toolforge-kyverno-kyverno-cli"
